{
  config,
  lib,
  pkgs,
  ...
}:
let
  cfg = config.jade.desktop.social;
in
with lib;
{
  options.jade.desktop.social = {
    enable = mkEnableOption "Enable social apps";
  };
  config = mkIf cfg.enable {
    home-manager.users.jade =
      {
        pkgs,
        pkgs-stable,
        ...
      }:
      {
        programs.nixcord = {
          enable = false;
          vesktop = {
            enable = true;
            # autoScroll.enable = true;
          };
          config = {
            frameless = true;
            disableMinSize = true;
          };
        };
        home.packages = with pkgs; [
            vesktop
          signal-desktop
          mumble
          element-desktop
          pkgs.evolution-data-server-gtk4
          iamb
        ];
      };
    programs.evolution = {
      enable = true;
      plugins = [ pkgs.evolution-ews ];
    };
    services.gnome.evolution-data-server.enable = true;
    services.gnome.evolution-data-server.plugins = [ ];
  };
}
